import { BrowserBuilder } from '@angular-devkit/build-angular';
import { Path, virtualFs } from '@angular-devkit/core';
import { BuilderConfiguration, BuildEvent } from '@angular-devkit/architect';
import { NormalizedPluginBrowserBuilderSchema } from './schema';
import { Observable } from 'rxjs';
import { Stats } from 'fs';
export declare class PluginBrowserBuilder extends BrowserBuilder {
    run(builderConfig: BuilderConfiguration<NormalizedPluginBrowserBuilderSchema>): Observable<BuildEvent>;
    buildWebpackConfig(root: Path, projectRoot: Path, host: virtualFs.Host<Stats>, options: NormalizedPluginBrowserBuilderSchema): any;
}
export default PluginBrowserBuilder;
