"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@angular-devkit/core");
const path_1 = require("path");
class BuildPlugin {
    static loadPlugin(root, options) {
        if (options.plugin) {
            const pluginPath = path_1.resolve(core_1.getSystemPath(root), options.plugin);
            BuildPlugin.plugin = require(pluginPath);
        }
    }
    static runHook(hook, data) {
        if (BuildPlugin.plugin && BuildPlugin.plugin[hook]) {
            return BuildPlugin.plugin[hook](data);
        }
    }
}
exports.BuildPlugin = BuildPlugin;
//# sourceMappingURL=build-plugin.js.map