import { ServerBuilder } from '@angular-devkit/build-angular';
import { Path, virtualFs } from '@angular-devkit/core';
import { BuilderConfiguration, BuildEvent } from '@angular-devkit/architect';
import { NormalizedPluginServerBuilderSchema } from './schema';
import { Observable } from 'rxjs';
import { Stats } from 'fs';
export declare class PluginServerBuilder extends ServerBuilder {
    run(builderConfig: BuilderConfiguration<NormalizedPluginServerBuilderSchema>): Observable<BuildEvent>;
    buildWebpackConfig(root: Path, projectRoot: Path, host: virtualFs.Host<Stats>, options: NormalizedPluginServerBuilderSchema): any;
}
export default PluginServerBuilder;
